Update template
curl --request PATCH \
--url https://vortexpdf.com/api/v1/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template": {
"content": "<h1>Invoice</h1><p>This is a sample invoice template</p>",
"name": "Invoice Template",
"preview_context": {
"amount": 1000,
"customer": "Acme Inc."
}
}
}
'import requests
url = "https://vortexpdf.com/api/v1/templates/{id}"
payload = { "template": {
"content": "<h1>Invoice</h1><p>This is a sample invoice template</p>",
"name": "Invoice Template",
"preview_context": {
"amount": 1000,
"customer": "Acme Inc."
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
template: {
content: '<h1>Invoice</h1><p>This is a sample invoice template</p>',
name: 'Invoice Template',
preview_context: {amount: 1000, customer: 'Acme Inc.'}
}
})
};
fetch('https://vortexpdf.com/api/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"content": "<h1>Invoice</h1><p>This is a sample invoice template</p>",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inserted_at": "2020-01-01T00:00:00Z",
"name": "Invoice Template",
"preview_context": {
"amount": 1000,
"customer": "Acme Inc."
},
"updated_at": "2020-01-01T00:00:00Z"
}
}{
"error": "unauthorized",
"message": "Authentication required to access this resource"
}{
"error": "unauthorized",
"message": "Authentication required to access this resource"
}{
"error": {
"message": "<string>"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Templates
Update template
Update an existing template
PATCH
/
api
/
v1
/
templates
/
{id}
Update template
Authorizations
Manage your API keys at https://vortexpdf.com/api-keys
Path Parameters
Template ID
Body
application/json
Template params
PATCH body for updating a template
Show child attributes
Show child attributes
Example:
{
"content": "<h1>Invoice</h1><p>This is a sample invoice template</p>",
"name": "Invoice Template",
"preview_context": { "amount": 1000, "customer": "Acme Inc." }
}
Response
Template response
Response schema for a single template
A template object
Show child attributes
Show child attributes
Example:
{
"content": "<h1>Invoice</h1><p>This is a sample invoice template</p>",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inserted_at": "2020-01-01T00:00:00Z",
"name": "Invoice Template",
"preview_context": { "amount": 1000, "customer": "Acme Inc." },
"updated_at": "2020-01-01T00:00:00Z"
}
⌘I